package edu.mermet.tp8.fenetres;

import java.awt.FlowLayout;
import java.awt.BorderLayout;
import javax.swing.JDialog;
import javax.swing.JPanel;
import java.awt.event.ActionEvent;
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.AbstractAction;

import edu.mermet.tp8.Preferences;


public class FenetreSuggestion extends JDialog{

	private JLabel lblInfo;

	public FenetreSuggestion(){
		init();
		setUndecorated(true);
		setLocationRelativeTo(null);
		setSize(500,70);
		setVisible(true);
		toFront();
	}

	private void init(){
		//Panel Info
		JPanel pnlPrincipal = new JPanel();
		lblInfo = new JLabel("L'option Diaporama permet d'afficher un diaporama du Cotentin");
		pnlPrincipal.add(lblInfo);

		//panel boutons
		JPanel pnlBtn = new JPanel();
		pnlBtn.setLayout(new FlowLayout());
		JButton btnValider = new JButton(new ActionFermer());
		JButton btnPlusAfficher = new JButton(new ActionPlusAfficher());

		pnlBtn.add(btnValider);
		pnlBtn.add(btnPlusAfficher);

		add(pnlPrincipal);
		add(pnlBtn, BorderLayout.SOUTH);
	}

	private class ActionFermer extends AbstractAction{
		public ActionFermer(){
            super("Fermer");
		}
		@Override
        public void actionPerformed(ActionEvent ae) {
            dispose();
        }
	}

	private class ActionPlusAfficher extends AbstractAction{
		public ActionPlusAfficher(){
            super("Ne plus afficher");
		}
		@Override
        public void actionPerformed(ActionEvent ae) {
            Preferences p = Preferences.getPreferences();
            p.setPreference("suggestion", "faux");
            p.enregistrerPreferences();
            dispose();

        }
	}
}